import { Button, Result } from 'antd';
import { useTranslation } from 'react-i18next';

import { useAppNavigate } from '@/hooks/useAppNavigate';

const NotFound = () => {
    const navigate = useAppNavigate();
    const { t } = useTranslation();

    return (
        <Result
            status="404"
            title={t('pages.error.404.title')}
            subTitle={t('pages.error.404.subtitle')}
            extra={
                <Button type="primary" onClick={() => navigate('home')}>
                    {t('pages.error.404.backHome')}
                </Button>
            }
        />
    );
};

export default NotFound;
